resource "lxd_volume" "ceph-osd-vol" {
    pool = "default"
    project = lxd_project.cephproject.name

    name = format("ceph-osd-%d", count.index + 1)
    count = 4
    content_type = "block"
    config = {
        size = "10GiB"
    }
}